Package com.google.protobuf

# Interface GeneratedMessageV3.ExtendableMessageOrBuilder<MessageT extends GeneratedMessageV3.ExtendableMessage<MessageT>>

All Superinterfaces:
  `GeneratedMessage.ExtendableMessageOrBuilder<GeneratedMessageV3>`, `MessageLiteOrBuilder`, `MessageOrBuilder`

All Known Implementing Classes:
  `GeneratedMessageV3.ExtendableBuilder`, `GeneratedMessageV3.ExtendableMessage`

Enclosing class:
  `GeneratedMessageV3`

@Deprecated public static interface GeneratedMessageV3.ExtendableMessageOrBuilder<MessageT extends GeneratedMessageV3.ExtendableMessage<MessageT>> extends GeneratedMessage.ExtendableMessageOrBuilder<GeneratedMessageV3>
Deprecated.
This class is deprecated, and slated for removal in the next Java breaking change (5.x). Users should update gencode to >= 4.26.x which uses GeneratedMessage.ExtendableMessageOrBuilder.
Stub for GeneratedMessageV3.ExtendableMessageOrBuilder wrapping GeneratedMessage.ExtendableMessageOrBuilder for compatibility with older gencode.

## Method Summary

Modifier and Type
Method
Description
`<T> T`
`getExtension(GeneratedMessage.GeneratedExtension<MessageT,List<T>> extension, int index)`
Deprecated.
`<T> T`
`getExtension(GeneratedMessage.GeneratedExtension<MessageT,T> extension)`
Deprecated.
`<T> int`
`getExtensionCount(GeneratedMessage.GeneratedExtension<MessageT,List<T>> extension)`
Deprecated.
`<T> boolean`
`hasExtension(GeneratedMessage.GeneratedExtension<MessageT,T> extension)`
Deprecated.

### Methods inherited from interface com.google.protobuf.GeneratedMessage.ExtendableMessageOrBuilder

`getDefaultInstanceForType, getExtension, getExtension, getExtensionCount, hasExtension`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### hasExtension

@Deprecated <T> boolean hasExtension(GeneratedMessage.GeneratedExtension<MessageT,T> extension)
Deprecated.

### getExtensionCount

@Deprecated <T> int getExtensionCount(GeneratedMessage.GeneratedExtension<MessageT,List<T>> extension)
Deprecated.

### getExtension

@Deprecated <T> T getExtension(GeneratedMessage.GeneratedExtension<MessageT,T> extension)
Deprecated.

### getExtension

@Deprecated <T> T getExtension(GeneratedMessage.GeneratedExtension<MessageT,List<T>> extension, int index)
Deprecated.